# Class PrivateKeyCallback.SubjectKeyIDRequest

java.lang.Object
jakarta.security.auth.message.callback.PrivateKeyCallback.SubjectKeyIDRequest

All Implemented Interfaces:
  `PrivateKeyCallback.Request`

Enclosing class:
  `PrivateKeyCallback`

public static class PrivateKeyCallback.SubjectKeyIDRequest extends Object implements PrivateKeyCallback.Request

## Constructor Summary

Constructors
Constructor
Description
`SubjectKeyIDRequest(byte[] subjectKeyID)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getSubjectKeyID()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubjectKeyIDRequest

public SubjectKeyIDRequest(byte[] subjectKeyID)

## Method Details

### getSubjectKeyID

public byte[] getSubjectKeyID()